#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, cnt = 1, m;
    string str;
	cin>> str >> n;
    m = str.size();
    int a[m] = {1};
    for(int i = 1; i < m; i++)
    {
        if(str[i] < str[i - 1])
        {
            cnt++;
            a[i] = cnt;
        }
        else
        {
            a[i] = a[i - 1];
        }
    }
    cout << a[1] << ' ' << a[7] << '\n';
    while(n--)
    {
        int l, r;
        cin >> l >> r;
        if(l == 1)
        {
            cout << a[r - 1] << '\n';
        }
        else
        {
            cout << a[r] - a[l - 1] << '\n';
        }
    }
}
